/*
 * Header information for Tachometer pulse converter
 *
 * Juha Niinikoski 6.4.2004
 *
*/

/* Constants and definitions */


/* I/O definitions */

/* Port A */

#define	PORTA_INIT	0
#define TRISA_INIT	0x06		// RA1,RA2 inputs, other outputs

#define	T_OUT		RA0		// output pulse to ordinary tachometer


/* Port B */

#define	PORTB_INIT	0
#define	TRISB_INIT	0xFF		// Divider select

#define	DIVIDER		PORTB		// Divider select bits
#define TEST		RB7		// 1000Hz test generator


/* Other IO */

#define	CMCON_INIT	0x05		// comparator 2 in use



/*   Define unsigned data types   */

#ifndef _BYTE_DEFINED_
#define _BYTE_DEFINED_

typedef unsigned char BYTE;
typedef unsigned int WORD;
typedef unsigned long LWORD;

#endif


/*   Define Boolean data type   */

#ifndef _BOOL_DEFINED_
#define _BOOL_DEFINED_

typedef BYTE BOOL;

#define FALSE 0
#define TRUE 1

#endif

/*   Define null pointer   */

#ifndef NULL
#define NULL (void *)0
#endif


